<template>
  <ul class="pl-5">
    <b
      >ยุทธศาสตร์ที่ : {{ stargic.number }}
      {{ stargic.name }}
    </b>
    <li v-for="project in stargic.projects" :key="project.id">
      <ul class="pl-5">
        <b>{{ project.name }} </b>
        <li v-for="side in project.children" :key="side.id">
          <ul class="pl-5">
            <b>
              {{ side.name }}
            </b>
            <li v-for="sub_project in side.children" :key="sub_project.id">
              <ul class="pl-5">
                <li>
                  {{ sub_project.name }}
                </li>
                <li>
                  <b>ผู้รับผิดชอบโครงการ</b>
                  <ol class="list-decimal pl-4">
                    <li v-for="owner in sub_project.owners" :key="owner.id">
                      {{ owner.title }}{{ owner.firstname }} &nbsp;{{
                        owner.lastname
                      }}
                    </li>
                  </ol>
                </li>
                <li>
                  <b>พื้นที่ดำเนินงาน</b>
                  <ol class="list-decimal pl-4">
                    <li v-for="area in sub_project.areas" :key="area.id">
                      {{ area.title }}{{ area.firstname }} &nbsp;{{
                        area.address
                      }}
                    </li>
                  </ol>
                </li>
                <li>
                  <b>ระยะเวลาดำเนินการ</b>
                  <p>
                    {{ sub_project.project_start }} ถึง
                    {{ sub_project.project_end }}
                  </p>
                </li>
                <li>
                  <b>วัตถุประสงค์</b>
                  <ol class="list-decimal pl-4">
                    <li
                      v-for="objective in sub_project.objectives"
                      :key="objective.id"
                    >
                      {{ objective.detail }}
                    </li>
                  </ol>
                </li>
                <li>
                  <b>งบประมาณทั้งหมด</b>
                  <ul>
                    <li v-for="budget in sub_project.budgets" :key="budget.id">
                      <span>{{ budget.detail }} </span> &nbsp;
                      <span>{{ budget.number }} บาท</span>
                    </li>
                  </ul>
                </li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>
    </li>
  </ul>
</template>

<script>
export default {};
</script>

<style>
</style>
